2011-03-29 - xvidenc 8.4.2
	* Added support for setting the crop rounding value

2011-03-07 - xvidenc 8.4.1
	* Fixed a bug in directory batch mode were wrong conditional was used to check
	  for the DEFOUTPUT variable
	* Display which file is currently being processed in batch mode
	* Check only for files while in batch mode
	* Fixed the video_deblock_func() function. Wrong vars used
	
2011-01-31 - xvidenc 8.4.0
	* Use -demuxer lavf when trying to get the video length for bitrate calculation
	  for a target file size. Should be more reliable on M2TS/TS files
	* Added support for the delogo filter and bumped config file version to 16
	* Updated copyright dates
	  
2010-11-26 - xvidenc 8.3.9
	* Remove double $HOME variable in the -scan option
	
2010-10-29 - xvidenc 8.3.8
	* Added support for setting subtitle codepage during hardcoding of external subs
	* Added support for the audio equalizer filter. This updates the config file version
	  to 15
	* Removed 'time' requirement
	
2010-09-22 - xvidenc 8.3.7
	* Workaround mencoder stupidity. With recent versions of mencoder that have subs
	  enabled by default (who came up with that great idea?), in case the user selects
	  to dump a sub for importing into mkv/mp4, during multipass encoding the first sub
	  will always get hardcoded due to missing -nosub option in the 2nd pass code.
	  This is only valid for multipass encodes so people using one pass modes (-1p or -fq)
	  are safe.
	* Small update to the -scan option. Just check if input file is there, regardless if
	  user provides the full path or not
	  
2010-08-07 - xvidenc 8.3.6
	* Add -nosub to prevent auto-loading of subs
	
2010-05-15 - xvidenc 8.3.5
	* Small bugfix in the get_devices_func() function; script exits when user hits enter
	  to accept default device
	* Updated the man page
	
2010-05-05 - xvidenc 8.3.4
	* Reworked a bit the audio channels decode/output function. This function also got
	  renamed from audio_channels_func() to audio_channels_decode_func()
	* Added support for the audio channels filter which can be used to add/remove/route channels
	  This updates the config file to version 14 and adds variable ALLOW_AUD_CHANNELS
	* Some various small improvements
	
2010-03-12 - xvidenc 8.3.3
	* Small bugfix: the $interlacing variable wasn't passed on to mencoder
	* Space escaped some previously missed variables
	
2010-02-27 - xvidenc 8.3.2
	* Small bugfix: wrong variable used when exporting from the send_email_func() function
	  to the batchfile
	* Added new variable DEFOUTPUT to the config where user can set a default output directory.
	  This updates the config version to 13
	* Updated the set_output_filename_func() function to support the above change
	* Use one variable in the presets (xvidparams) for all MEncoder Xvid encoding options.
	  Reduces some code and simplifies things a bit
	* Updated the preset.cfg file to support the "one variable for all Xvid encoder opts"
	  Note: those using custom preset files for encoding should read the preset.cfg file
	  in the doc dir and adapt their existing preset files to be compatible with the
	  changes. Previous older custom presets written by users will not work with this and
	  future versions of xvidenc!
	
2010-02-02 - xvidenc 8.3.1
	* Reduced duplication in the audio encode exporting code by moving it inside functions
	* Reduced duplication in the MKV/MP4/OGM exporting code by moving it inside functions
	* Reduced duplication in the code that prints some information before encoding starts
	* Various minor code improvements
	
2010-01-21 - xvidenc 8.3.0
	* Renamed the rmconf() function to rmtemp() 
	* Moved creation of temp dir, the interrupt_func() and rmtemp() functions at the beginning
	  of the script
	* Fixed a bug in the DVD part of the -scan option where lsdvd doesn't get a valid device
	  passed. Bug was introduced due to changes in the new get_devices_func() function
	* Removed some duplication in the mencoder_opts() function
	* Various small code improvements
	* Updated the README.xvidenc file
	
2010-01-19 - xvidenc 8.2.9
	* Fixed a bug where the interlacing variable doesn't get passed when skipping the
	  pre/postprocessors. This is needed for correct condition check for IVTC/FPS conversion.
	  Reported by Peter Lutz
	* Fixed a bug in the -scan option where vcd was not recognized as valid option
	* Added two new variables, DVD_DEVICE and CDROM_DEVICE, to the config file where user can
	  set his preferred dvd/cd block device. This updates the config file to version 12
	* Removed the -a52drc option for AC3 encoding
	* Merged the get_dvd_devices_func() and get_vcd_devices_func() functions into a new one
	  called get_devices_func()
	  
2009-12-28 - xvidenc 8.2.8
	* Changed all video ALLOW_* variables in the config file to ALLOW_VID_*
	* When using dd to dump a DVD to an ISO, use options noerror,sync and a bs size of 2048
	* Added support for sending mails. This requires the 'mailx' program and a valid .mailrc
	  file in the home directory. Mail notification can be enabled in the config file of
	  xvidenc which also offers an example of a gmail setting for .mailrc
	* Added support for loading custom preset files. Have a look at the preset.cfg file in
	  the doc directory on how to write such files
	* Added support for setting a custom temp dir in the config file
	* Small update to the mkvtags_func() function
	* Bumped config file version to 11
	* Updated copyright dates
	* Updated the man page
	
2009-11-17 - xvidenc 8.2.7
	* Implemented a simple telecine detector for NTSC DVDs. Currently it's a dumb solution
	  which can't distinguish between hard telecine and interlacing but it's enough to
	  detect soft telecine and mixed progressive/telecine content which is more common
	* Simplified the FPS detection code
	* Sed a comma at the end of resolution detection in case we're dealing with TS files. The
	  default TS demuxer in MPlayer has a comma at the end of the resolution info which results
	  in errorneous behavior in the bc calculation
	* Simplified the resolution detection code
	* Small general code improvements and cosmetics
	
2009-10-24 - xvidenc 8.2.6
	* Added new function video_subtitles_align_func() for subtitle alignment control
	* Simplified a bit the audio exporting code for the first track
	* Force stereo audio for Nero HE-AACv2 as it doesn't support anything else, thus
	  it results in failure if user tries to encode with more than two channels. This
	  updates the audio_channels_func() function and also adds a small new independent
	  one called neroaac_hev2_func() which only sets the channels to two if the channels
	  array variables are empty, as is the case when the user did not set the channels
	* Small improvements to the ABR/VBR default audio bitrates for the neroAacEnc encoder.
	  Base the default bitrates on the chosen AAC profile, i.e. if user chooses HE-AACv1,
	  default bitrate will be 55 kbps or in case of quality-based VBR encoding a value of
	  0.22. For LC-AAC and HE-AACv2, default bitrates and quality values will be 96 kbps
	  or 0.35 and 25 kbps or 0.11, respectively. Note that this assumes the input audio is
	  stereo so if it's anything else than that, it's up to the user to decide on bitrates
	  or quality values
	* Set default to a capital letter in questions where one needs to answer with y or n
	
2009-09-29 - xvidenc 8.2.5
	* Insert the ilpack filter before the scaler to correctly align chroma when
	  preserving interlacing
	* Added AUDIO_CODEC_TRACK[1|2|3], AUDIO_LANGUAGE_TRACK[1|2|3], MKVMERGE_VERSION
	  and XVIDENC_PARAMETERS entries to the mkvtags_func() function
	* Improved checking the availability of block devices
	* Add detection of VFR content (1000 fps as reported by MPlayer)
	
2009-09-19 - xvidenc 8.2.4
	* Added VIDEO_FILTERS, AUDIO_FILTERS_TRACK[1|2|3], ENCODER and XVID_PARAMETERS
	  entries to the mkvtags_func() function
	* MP3 (MPEG1 Layer 3) only supports sample frequencies of 32, 44.1 and 48 kHz
	  so restrict to those only in the audio_resample_func() function
	* Set default for the pp7 deblocker to 3
	* Fixed example typo in the DVD chapters code

2009-09-16 - xvidenc 8.2.3
	* Small improvement to how the MKV XML tagging file gets exported. Also improved
	  the XML formatting and added COMMENT string with text "Tagged by xvidenc $version"
	  and added SOURCE entry
	* Added comment tag for MP4 and OGM with the same text as above
	* Small update to the video_deinterlace_func() function's menu
	* Add comment header with dates to batch files
	* Use only lowercase words in all case statements that deal with the input source
	* Placed the -passlogfile option inside the PASSLOG variable
	* Added support for 2-pass Nero AAC audio encoding. Note that 2-pass is only
	  supported by ABR/CBR encoding and ensures that the output quality is constant
	  (like VBR) while also ensuring that a specified output bitrate is achieved
	  (like CBR)
	* Small bugfix: the counter in set_output_filename_func() didn't increase itself
	* Replaced variable $source with $type and $vtype with $source
	
2009-09-05 - xvidenc 8.2.2
	* Added support for the noise video filter. This change updates the config file to
	  version 10. Also, encoding priority now defaults to a nice value of 10 in the
	  config file
	* Moved out the code which checks and backups/renames a file if it has the same
	  name as the output provided by the user to a separate function called
	  backup_file_func() and also improved it so that if there's already an existing
	  backup file, the new one will increase its count number by one thus there's no
	  more overwriting being done anymore. The same thing applies to existing chapter
	  files and DVD subs
	* Small improvements to how chapters information is added to the output file name
	* Improved detection of DVD audio language codes. We now specifically grep for the
	  language word and then print the 2nd positional which gives us the language code.
	  It works more reliably if the DVD does not report its language code for the audio track(s)
	  so if this is the case, we fall back to undefined language. The previous code fails in
	  such cases due to the printing of the 8th positional which will print the "aid:" part when
	  there's no language code after the "language:" word, resulting in MKV/MP4 muxing failures.
	* Turn soft-clipping on in the volume audio filter
	* Simplified the audio_channels_func() function a bit
	* Moved the MP4 code that deals with DVD subs/cover files/metadata info/chapters and external
	  subs before its audio code
	* Fixed chapters import for the OGM container. Missing '@' before the chapters input file
	  results in the file not being imported
	* Added support for audio language metadata info for the OGM container
	* Added support for Year and Genre metadata tagging for the MKV/MP4/OGM containers.
	  For MKV, the genre and year is set globally using an automatically generated XML
	  file. MP4 uses the iTunes tagging and OGM the comment space
	* Updated the man page
	
2009-08-13 - xvidenc 8.2.1
	* Removed pointless for loop and if conditional in the audio_filters_var_func() function
	* Simplified the audio_filters_func() function
	* Added support for the audio panning filter. This change updates the config file to version 9
	* Moved the audio filters functions after the audio codecs ones
	* Reduced the number of if conditional iterations for setting the scaler interlace variable
	* Replaced variable CONFIGDIR with TEMPDIR
	* Fixed some spacings issues by moving around some echo's
	* Print full path of the output file(s) at the end of encoding
	* Simplified the sample encoding code. Reduced some code duplication
	* Removed duplicate videofilters variable. This removes the check for the tfields filter
	  as now deinterlacing will always be done after cropping (which also speeds up things a bit)
	  so the crop filter will never complain about crop area being outside of the original if
	  tfields is used. It also reduces filters maintenance a bit
	
2009-08-04 - xvidenc 8.2.0
	* Add example on how to encode only specific DVD chapters
	* Call the track_echo_func() function inside the select_audio_codec_func() one. Removes
	  pointless duplication
	* Don't call mplayer twice in the 2nd/3rd audio track code just to get the audio codec.
	  Also removed a pointless case statement

2009-07-24 - xvidenc 8.1.9
	* Minor improvments to the set_output_filename_func() function
	* Added support for the new gradfun debanding video filter. Although mostly recommended for playback
	  due to the fact that encoding tends to bring back banding, it can be useful to deband input
	  sources which show pretty bad and very noticable banding effects before passing the content
	  to the encoder. The gradfun filter is only available in MPlayer SVN. This also adds a new
	  variable ALLOW_DEBAND to the config file where one can enable or disable this filter
	* Added a small while loop to the video_crop_func() function which will keep asking the user for
	  new crop values until he's satisfied with them. Patch by elektronaut from Doom9.org
	* Added a new variable PRIORITY to the config file which can be used to set a global priority
	  nice value for the encoding process. The values one can use are between (and including)
	  -20 and 19. However, if the script detects that this variable has a negative nice value
	  set and the script is being executed with regular user privileges, it will print a notice
	  and exit. This change updates the config file to version 8
	* Fixed a bug in the audio functions calling code of the iPod preset
	  
2009-07-08 - xvidenc 8.1.8
	* Added detection for E-AC3 audio for stream copy and updated the MKV muxing code to support it
	* Added new option -spr which calculates the Storage and Pixel Aspect Ratios (SAR/PAR) for various
	  resolutions
	* Display the amount of chapters each DVD title has when scanning for titles
	* Display total pixels, SAR and PAR when scanning a file/vcd with the -scan option
	* Added --no-chapters mkvmerge option for audio files encoded by neroAacEnc so that chapters
	  won't be copied over to the MKVs from these files
	* Small update to the install script
	* Updated the man page. Fix some small cosmetic issues, patch by Alessio Treglia
	
2009-07-03 - xvidenc 8.1.7
	* Fallback to undefined audio language in the AUDLANG[$i] variables if we detect unknown language
	  from MPlayer's output
	* Added support for bitrate-based ABR Vorbis encoding in addition to quality-based VBR. ABR mode
	  in Vorbis resembles quality-based VBR except the encoder averages a given nominal bitrate
	* Updated the Vorbis part of the video bitrate calculation code
	* Added new function ratio_and_pixels_func() which calculates and displays the Storage Aspect Ratio (SAR),
	  Pixel Aspect Ratio (PAR) and total pixels from resolution
	* Bugfix for track 1 in the internal audio encoding code. If using aacplusenc to encode audio, the case
	  statement had a wrong selection value (aac instead of aac+) resulting in displaying a failed message
	  and forcing an exit even though the encoding may have succeeded
	* Simplifications to the internal audio encoding code which reduce code duplication

2009-06-30 - xvidenc 8.1.6
	* Bugfix: array variable TRACKID[1] was missing for single file encodes. This results in
	  erratic behavior of the audio code
	* Bugfix: second/third audio tracks were ignored by the OGM muxing code if audio codec is MP3

2009-06-29 - xvidenc 8.1.5
	* Converted most of the variables in the video_subtitles_func() function to arrays.
	  Moderately reduces some code duplication
	* Use array variables ${SUBFILE[2]} and ${SUBFILE[3]} instead of ${OUTPUT%.*}_sub2 and
	  ${OUTPUT%.*}_sub3 when dumping the second/third DVD subtitle
	* Simplified the MKV cover art importing code
	* Major audio code restructuring and partial rewrite. Converted virtually all audio
	  variables to array variables. This reduces a lot of code duplication and makes the
	  audio code much easier and extensible
	* Added support for a third DVD audio track
	* Added support for per track audio codec for DVD encodings
	* Use external flac encoder to encode to FLAC audio as doing it through mencoder is terribly
	  broken. This updates the config file to version 7 and adds the 'flac' encoder as dependency
	* Use only one named pipe when encoding audio tracks to neroAAC/AAC+/Vorbis/FLAC
	* Updated and optimized the containers muxing code to support the above audio changes
	* Updated the bitrate calculation code for target size to support the above audio changes
	* Disallow autocropping, if enabled in the config file, for directory batch encodings
	* Disallow automatic detection of audio sample rate for directory batch encodings
	* Added support for MP4 hinting for RTP/RTSP sessions
	* Updated the man page
	  
2009-06-19 - xvidenc 8.1.4
	* Simplifications to the MKV tagging code which reduces some code duplication
	* Bugfix: FAAC acodec2 variable has wrong mpeg value. Must be mpeg=4 instead of mpeg4.
	  This results in failure in encoding of the second audio track when one selects
	  FAAC as encoder
	* Bugfix: FLAC audio was ignored for the second track due to missing value in the selection
	  of the case statement
	* Added support for tagging of MKV files when doing a directory batch encoding
	* Replaced the IMPSUB1, IMPSUB2 and IMPSUB3 variables, used to import subs when input type
	  is file/directory/vcd, by array variables EXTSUB[1], EXTSUB[2] and EXTSUB[3]. This allows
	  for less code duplication as these array variables are shared by all input types (including DVD)
	  and thus we only need to do a small loop and add their values if not empty to the
	  MKVSUBS, MP4SUBS and OGMSUBS variables
	* Use as temp directory $HOME/.xvidenc/job<PID>
	* Added new function audio_stream_copy_func() which will print a warning that audio stream copy
	  in directory batch encoding mode is not recommended unless the user is certain that the files
	  have a supported audio codec by the MKV/MP4/OGM containers
	* Group audio filters under a submenu similar to how the video filters are grouped
	* Some small cleanups
	  
2009-06-18 - xvidenc 8.1.3
	* Added support for per track audio bitrate for DVD encodings
	* Added support for per track audio normalization and volume adjustments for DVD encodings.
	  Updated functions audio_volnorm_func() and audio_volume_func()
	* Added support for per track audio resampling for DVD encodings. Updated functions
	  audio_resample_filters_func() and audio_resample_func()
	* Updated the video bitrate calculation code to support the above audio changes
	* Added support for per track AAC profile settings (LC/HE/HEv2) when using the
	  neroAacEnc audio encoder
	* Small modifications to the MKV/MP4 tagging and muxing code to support the
	  per track neroAacEnc AAC profiles. This also includes optimizations to the way
	  the tagging code handles different AAC profiles. If LC profile is chosen, audio will
	  be tagged as LC-AAC (along with channels info). For HE and HEv2, audio will be tagged
	  as HE-AACv1 and HE-AACv2 (along with channels info) respectively
	* Moved the MKV tagging code inside the MKV muxing code
	* Converted the EXTSUB1, EXTSUB2 and EXTSUB3 variables, used to import external DVD subs,
	  to arrays so we can easily check different files for their file extensions
	* Only allow SRT subs as import into OGM. If another subs format is provided, the
	  subs will be skipped. For MP4, do not allow ASS/SSA subs since it's not supported yet
	  by MP4Box. For MKV, do not allow SUP and TTXT subs
	  
2009-06-15 - xvidenc 8.1.2
	* Update to the video_subtitles_func() function: for DVD encodings, added support
	  for importing up to three external subtitles into MKV/MP4/OGM. Also added
	  support for hardcoding an external subtitle into the movie
	* Updated the MKV/MP4/OGM muxing code to support imports of external subtitles
	* If dumping of the second and/or third DVD subtitle fails and user has selected to
	  import the subs into MKV/MP4, force an exit since container conversion will fail as
	  the muxing programs will complain about the missing subs. If no container conversion
	  is chosen or user has chosen not to import the subs and dumping of subs fails, just
	  continue since there's nothing critical in this case
	* Use mplayer -really-quiet option instead of redirection to /dev/null when dumping
	  audio to a named pipe for neroAAC/Vorbis/AAC+ encoding
	* Some small updates to the man page

2009-06-12 - xvidenc 8.1.1
	* Replaced the --noaudio mkvmerge option with -A due to recent options changes
	  in mkvmerge version 2.9.5. -A also works for older versions so nothing breaks here
	* Removed the check_outfile_func() function as its code has been added to the
	  set_output_filename_func() function, which also has been improved
	* Added support for FLAC audio in MKV
	* Removed some code duplication in the MKV metadata tagging code
	
2009-06-09 - xvidenc 8.1.0
	* Added support for adding jpeg/png cover art files to MKV/MP4
	* Added audio language meta-info for MP4 files
	* Added iTunes video title name for MP4 files
	* Improved audio language meta-info for MKV files. This also adds metadata
	  info for the second audio track
	* Fixed a small bug: the --aac-is-sbr mkvmerge parameter should be set to 0:1
	  for the second audio track when using aacplusenc as encoder

2009-05-30 - xvidenc 8.0.9
	* Use the same name for the log file as the output file name
	* Force using the libmpeg2 decoder when encoding DVDs/VCDs (works slightly better in specific
	  cases compared to ffmpeg2)
	* Added support for IVTC 59.940 -> 23.976 fps

2009-05-12 - xvidenc 8.0.8
	* Added deinterlace combinations of Yadif + linear blend, linear interpolation, cubic
	  interpolation, median deint, ffmpeg deint and lowpass 5
	* Cosmetics to the help menu
	* Added global audio function audio_filters_func() for calling the resample, volume
	  normalizing and volume filters
	* Added 15 new variables to the config file for enabling/disabling of specific audio/video
	  filters and containers: ALLOW_FPS_CONVERSION, ALLOW_SCALER_TUNING, ALLOW_DSIZE,
	  ALLOW_EXPAND, ALLOW_COLORSPACE, ALLOW_ASPECT, ALLOW_AUD_RESAMPLE, ALLOW_AUD_NORMALIZE,
	  ALLOW_AUD_VOLUME, ALLOW_MKV_MUXING, ALLOW_MP4_MUXING, ALLOW_OGM_MUXING, ALLOW_SAMPLE_ENCODING,
	  ALLOW_SCAN_MULTIPLE_VIDSTREAMS and ALLOW_SCAN_MULTIPLE_AUDSTREAMS, the last two are only effective
	  on file encodings
	* Updated the man page

2009-05-07 - xvidenc 8.0.7
	* Automatically add the shebang line to batch files and make them executable
	* Added Apple iPod preset (request from Rogério Brito from the LAME team)
	* Added MP3 presets and updated target file size code to support them (requested by Rogério Brito)
	* Updated the audio code and aac/neroaac functions to support the iPod audio restrictions
	* Added -ipod parameter to MP4Box when using the iPod preset
	* Added new variable ALLOW_AUTOCROP to the config file which allows the user to enable or
	  disable automatic cropping
	* Updated the man page

2009-04-29 - xvidenc 8.0.6
	* Optimize some variables by replacing piping to sed with VARIABLE1="${VARIABLE2%.*}.ext"
	* Add -loop 1 mplayer option to the config file's MPLAYEROPTS variable
	* Add support for enabling/disabling specific pre/postprocessing filters in the config file.
	  This adds 7 new variables to the config file where the user can either enable to ask
	  questions about a specific filter or disable a specific variable, thus skipping
	  questions about the filter
	* Moved the video filters code to a new function called video_filters_func(). This also
	  reduces a bit of code duplication
	* Add a new option -e which allows the user to edit the config file directly from within the
	  terminal. This adds a new variable EDITOR to the config file where the user can set his
	  preferred text editor (defaults to nano)
	* Add video title meta-data for MKV and OGM when doing directory batch encodings
	* Silence possible dvdxchap warnings
	* Updated the man page

2009-04-26 - xvidenc 8.0.5
	* Bugfix: missing 's' in the sed expression of the MP4OUT variable. This results in
	  missing output file and will fail when one tries to remux to mp4

2009-04-25 - xvidenc 8.0.4
	* Rewrote and simplified the video_denoise_func() function. Merged the presets with
	  the denoise filters
	* Added a new mplayer variable to the config file called MPLAYEROPTS where the user
	  can set custom mplayer options. The default value in this variable is '-noconfig all'
	  which disables reading of the mplayer config file
	* Moved out the VCD device scanning code to a function -> get_vcd_devices_func()
	* Updated the -scan option to support VCD scanning
	* Revert back to the old crop detection method for DVDs as it was more precise in some
	  cases than the currently used one. This forces the video codec during crop detection to
	  mpeg12 instead of ffmpeg2 as the -sstep option doesn't play nice with ffmpeg2
	* Optimize output file naming for file/vcd encodings. Based on a patch by Jouni Suorsa
	* Proper file extension handling for directory batch encodings
	* Added support for the dszie video filter
	* Add audio meta-data info for the MKV container when using aac, mp3, ac3 or vorbis audio
	* Dump the first subtitle during the first pass of a multipass encoding to avoid
	  possible delay problems
	* Added support for VBR audio encoding when using FAAC or neroAacEnc as encoder. This
	  automatically disables target file size calculation until I find out how to map
	  quality values to bitrates for these codecs
	* Small cleanups

2009-01-22 - xvidenc 8.0.3
	* Add title/movie name to MKV and OGM as meta-info. The title is taken from the
	  output name provided by the user. For directory encodings, this will be skipped
	* Add audio codec and audio language meta-info to MKV when encoding DVDs and copying
	  the audio track(s)
	* Added support for the expand video filter
	* Slightly improved info when the script is called without any parameters
	* Implemented denoising presets for the 'tn' temporal denoiser
	* Merge the mp3, aac, ac3 exporting code with the ffac3 and ffdts one since it's the same
	  for the second audio track
	* Small improvement/fix: when encoding two audio tracks to HE-AAC audio and muxing
	  them into MKV, mkvmerge uses for both tracks the same track ID (1) while xvidenc
	  assumes that the second track uses track ID 2 which is wrong so the option
	  --aac-is-sbr 2:1 is incorrect here and should actually be --aac-is-sbr 1:1 for
	  the second audio track

2009-01-14 - xvidenc 8.0.2
	* Use 'source' instead of '.' for importing files into the script. Makes it easier
	  for me to read when my eyes are tired
	* Improvements to the audio_resample_func() function. Automatically detect
	  the audio sample rate of the content and display it. Also, moved the resample
	  filters into a function called audio_resample_filters_func(). The reason for this
	  is to be able to compare the detected audio sample rate with the selected one. If
	  the user selects a sample rate which equals the detected one, resampling will be
	  skipped as there is no point in running a resampler if the detected and selected
	  sample rates are equal - mencoder always picks up the sample rate of the content.
	* For directory encodings, offer an option to automatically delete the AVI file after
	  remuxing to the other containers. This can considerably reduce disk space usage,
	  especially when encoding a directory with a lot of files in it.
	* Replaced all 'tail -1' commands with 'tail -n 1' since 'tail -1' is made obsolete as
	  stated by the info page of tail
	* Calculate and display the amount of frames when scanning a video file. Also display
	  seconds in addition to minutes for the runtime
	* Replaced MB and GB with MiB and GiB

2008-12-12 - xvidenc 8.0.1
	* Removed signal SIGTSTP from the trap list. The user can now suspend the encoding
	  process with CTRL+Z and continue later on by typing fg in the terminal
	* Added support for the software equalizer video filter (eq2)
	* Don't exit if the user did not add the .avi extension for the output file. Instead
	  automatically add the extension to it
	* Small loop modifications in the video_subtitles_func() function
	* Set default AAC profile when using neroAacEnc to LC instead of HE
	* Added support for VCD/SVCD encodings
	* Small loop modifications to the get_dvd_devices_func() function
	* Small modifications to the install script
	* Updated the man page

2008-12-05 - xvidenc 8.0.0
	* Improved dealing with LPCM audio on DVDs. If the user has selected to encode
	  a second audio track and that track uses LPCM as audio, the encoding will fail
	  since -oac copy will not be able to copy LPCM in AVI. For this reason, xvidenc
	  will check to see if the second audio track is LPCM audio and will use -oac pcm
	  instead of -oac copy
	* DVD channels settings can be now independently controlled for each audio track
	* Added support for AC3 in MP4. This requires latest gpac version 0.4.5 compiled
	  with liba52 support!

2008-12-03 - xvidenc 7.9.9
	* Remove support for MP2 and WMA audio
	* Use MEncoder to dump the video when remuxing to MP4 as MP4Box can crap
	  out in certain cases. I'm tired of fixing MP4Box' problems :/ but the
	  alternative (mp4creator) is a piece of crap too and is no longer maintained
	  It doesn't support VobSub subtitles either, nor chapter files AFAIK
	* Added support for providing a custom factor value when using the video bitrate
	  calculation formulas
	* Added initial support for a second audio track for DVD encodings. Below is a
	  list of what currently works and what doesn't:
	      * PCM audio is not supported yet. It's not a priority for me
	      * If you're looking for second audio track in AVI, don't waste your time.
	        I will never support it. Use the MKV/MP4/OGM containers
	      * Audio filters are supported for both tracks
	      * Audio codecs and audio filters apply to both tracks. One can't
	        use, for example, Vorbis audio for first and AAC audio for second
	        track. One also can't set audio bitrate independently for each track
	      * Audio stream copy is supported by the MKV/OGM containers. For the
	        MKV container one can copy AC3 + AC3 or AC3 + DTS audio. For OGM
	        only AC3 + AC3 is supported since it knows nothing about DTS audio.
	        If DTS audio is selected, it will be ignored
	      * I use (very?) dirty tricks to maintain (perfect?) A/V sync when one uses
	        frame altering video filters, like bobbing, interlacing, ivtc/telecine,
	        FPS conversion
	* Updated the video bitrate calculation code to support a second audio track
	* Updated the MKV/MP4/OGM containers code to support a second audio track
	* Better explanation about what the -r option does/is used for
	* Implemented audio_exit_func() function. This function kicks in effect if the
	  audio encoding with an external audio encoder didn't succeed. If this is the
	  case, the function will be called with the appropriate parameters and will force
	  an exit to prevent container conversion. This is because if the audio encoding
	  fails for some reason, container conversion will automatically fail too since
	  the muxing programs will complain about the missing audio file and will exit,
	  thus there is no point in continuing and displaying conversion failing messages
	* Reduced the amount of options displayed when one calls the script without any
	  parameters. From now on it will just display:
	  Usage: xvidenc <options>
	  Use 'xvidenc -help' for more information
	* Some old comments cleanups
	* Updated the man page

2008-11-30 - xvidenc 7.9.8
	* Lots of empty variables and code cleanups
	* Replaced the --help option with -help for consistency with the other options
	* Added support for importing up to three subtitles (VobSub or SRT) into
	  the MKV/MP4 containers when encoding a video file or a directory with
	  files. Also hardcoding a subtitle is now possible for directory encodings
	* Reduced a lot of code duplication in the batch exporting code by using
	  only one variable to carry the output file
	* Optimized the MKV/MP4/OGM muxing code for directory encodings
	* Simplified the MKV/MP4 subtitles importing code. The new code is a bit
	  ugly, but is much smaller and works quite well. It's basically a small loop
	  which tests the subtitle variables for not being empty, and if so, it appends
	  the values to the MKVSUBS/MP4SUBS variables
	* Small bugfix: IVTC/Telecine was still asked if user has selected to do
	  FPS conversion using frame duplication (25 -> 50 fps, 50 -> 100 fps).
	  This is due to wrong variable being tested: $fpsfilter instead of $frc
	* When encoding to neroAAC/AAC+/Vorbis audio and muxing to MKV, take the
	  video directry from the AVI file instead of dumping it to disk. That
	  way we can skip the dumping process and don't have to pass the FPS value
	  of the raw video to mkvmerge since it takes it directly from the AVI. This
	  also makes the code a bit more simple. When also muxing to MP4, MP4Box always
	  dumps the video so we're safe here
	* Added support for detecting the audio codec of the video file/DVD when
	  using audio stream copy. Based on the detected audio codec, decision is made
	  if we allow or disallow muxing to MKV/MP4/OGM
	* Updated the man page

2008-11-25 - xvidenc 7.9.7
	* Bugfix: the vobsubout3 variable was not tested in the MKV/MP4 muxing code.
	  This leads to the third subtitle not being imported into these containers
	* Implemented real batch support for files. As of now, one can encode a bunch
	  of video files in a directory and automatically remux them to MKV/MP4/OGM.
	  The user needs to configure only one of the files in a given directory and
	  all the settings will apply to the other files as well
	* New formulas to calculate the video bitrate for a target filesize. The user
	  can choose between MeGUI's formula, xvidenc's refactored MeGUI formula and
	  the old xvidenc/ripdvd formula

2008-11-24 - xvidenc 7.9.6
	* Added support for the aacplusenc AAC+ audio encoder from Matteo Croce
	* Updated the MP4 & MKV batch exporting and muxing code to support
	  the aacplusenc encoder
	* Rewrote the DVD part of the video_subtitles_func() function. It now
	  supports dumping of three subtitles
	* Updated the MKV/MP4 muxing code to support importing of three subtitles
	* Dramatically simplified the MKV/MP4/OGM batch exporting code. This
	  reduces a lot of code duplication
	* Display elapsed time when encoding samples
	* Bugfix in the video_subtitles_func() function for SRT subtitles for
	  video files. Wrong variable used
	* When encoding samples, make sure to take care of any subtitles that
	  might have been dumped to disk
	* Added support for deinterlacing at half frame rate. Useful for interlaced
	  content that's running at 50 or 59.940 fps (100i/120i)
	* Reduced some code duplication in the set_output_filename_func() function
	  by moving path and extension checking into its own function
	* New formula to calculate the video bitrate for a target filesize. The
	  previous formula, which was directly taken from the ripdvd project,
	  incorrectly calculates the bitrate which often results by missing the
	  target filesize by as much as 30 MB. The new formula also uses floating
	  point precision and has been tested aainst the calculators of MeGUI and
	  Avidemux
	* Moved the DVD device detection code into its own function to reduce some
	  code duplication
	* Removed neroAacEnc quality-based encoding mode. It is incompatible with
	  video bitrate calculation for a target size and I cannot find any info
	  on quality -> average bitrate mappings
	* Don't exit if the user provides a floating point value for the Vorbis audio
	  codec. Instead warn and use the default value
	* In some cases it is possible for xvidenc to leave its unique temp directory.
	  Find those directories and remove them if they are 15 or more days old
	* Removed support for MPEG-2 AAC and ADPCM audio
	* Updated the source_fps_func() function
	* Removed the noise filter. No real use for it
	* Updated the audio_resample_func() function
	* Updated the check_audio_codec_func() function
	* Updated the genconfig_func() function
	* Updated the man page
	* Updated the README.xvidenc file

2008-11-02 - xvidenc 7.9.5
	* Improved DVD handling. Now there's a menu where the user can select
	  the input type: ISO image, VIDEO_TS folder or DVD drive
	* Added neroAAC audio support for the MKV container
	* Removed AAC object type complexity menu. AAC (FAAC) is best used in
	  low complexity mode
	* Set the field order of the tfields filter to auto detection
	* Implemented configuration file support. As of this version, xvidenc
	  automatically generates a config file in its configuration directory.
	  The config file can be used by the user to modify/set the paths to
	  various programs. This can be useful if the user has multiple
	  executables of the same program(s) but wants to use a specific one
	  for the job. It can also be used to set the correct path to a program
	  if the program in question is not located in a standard location and
	  cannot be found by the system. The configuration file cannot be used
	  to store encoding settings or other parameters! It is only meant for
	  the tools needed for the correct operation of xvidenc. The config
	  file will be generated in /home/user_name/.xvidenc/config. The config
	  file has its own versioning system and will be automatically updated
	  in case something changes in future versions of xvidenc
	* Added -r option to reset the config file in case the user has made any
	  changes to it and wants to restore the original values of the config file
	* Added extra strong denoising preset for the denoise3d & hqdn3d filters
	* Updated the man page

2008-10-19 - xvidenc 7.9.4
	* Small improvement: when using the vorbis audio codec and muxing
	  to the Matroska container, do not extract the video from the AVI
	  since mkvmerge takes the video directly from the AVI and we can
	  skip the extraction step. Extraction is only necessary if the
	  user has also chosen the MP4 container
	* Added Vorbis audio support for the OGM container
	* Removed path specification for MEncoder
	* Separated the 'normal' deinterlacers from the frame doubling ones
	* denoise3d & hqdn3d: implemented weak/medium/strong denoising presets
	* Removed quantization parameters for the spp, uspp, fspp and pp7 deblockers
	* Improved subtitle handling for video file encodings. Now the user
	  can select to hardcode a given subtitle into the movie or import
	  it into the MP4 and/or MKV container. Only two subtitle formats
	  are supported and have been tested: VobSub and SRT
	* Added support for sample encoding and previewing. When encoding samples,
	  one can specify the start position and the duration in seconds for
	  the sample. Sample encoding respects encoding passes meaning if you execute
	  xvidenc in two-pass mode and want to encode a sample before the real
	  encoding starts, then the sample will also be encoded in two-pass mode
	  with all the options and filters that the user has selected.
	  Sample encoding can further be used to encode only specific parts of a
	  video file or a DVD. In regards to DVDs, sample encoding does not respect
	  selected DVD chapters meaning the given start position for the sample will
	  overwrite the selected DVD chapter(s). This is a mencoder problem and
	  there's nothing I can do about it.
	* Updated the crop preview code. Instead of sleeping for 15 seconds and then
	  killing the PID value of mplayer, use the -endpos option
	* Cosmetics & cleanups
	* Updated the man page

2008-07-12 - xvidenc 7.9.3
	* Added Vorbis audio support for the Matroska container
	* Feature request: add the possibility to disable MEncoder's A/V sync
	  algorithm when encoding video files. This can be used to fix input
	  video files with bad A/V sync in them, however there are no
	  guarantees that this will actually fix the problem
	* Enabled back the use of temporary directories based on process ID
	  to store config files
	* Do not ask for FPS conversion or pullup/pulldown if the user forces an
	  output frame rate
	* Updated the requirements part in the README.xvidenc file
	* Small clean ups
	
2008-07-05 - xvidenc 7.9.2
	* Added two anime presets: ani and anihq
	* Bugfix: multi-channel audio was not enabled for the neroAAC audio codec
	* Feature request: add the possibility to specify the path to MEncoder.
	  Useful if the user has two or more versions of MEncoder but wants to
	  use a specific one for the encoding
	* Changed default unsharp mask / gaussian blur matrix to chroma & luma 5x5
	  as it provides a better balance than the 3x3 matrix
	* Check to see if destination directory is writable by writing a small
	  file to it.
	* Updated the man page

2008-07-01 - xvidenc 7.9.1
	* Added support for using the neroAacEnc AAC audio encoder with
	  LC, HE and HEv2 profiles
	* Function renaming: aacplus_audio_func() -> neroaac_audio_func()
	* Variable renaming: aacplusbr -> neroaacbr
	* Audio codec renaming: AAC+ -> neroAAC

2008-06-24 - xvidenc 7.9.0
	* Disabled the use of unique temporary directories to store temporary
	  configuration files. This fixes an MP4Box crash on newer systems
	* Removed reference to the Sonic audio codec in the -sc option as
	  this codec is no longer supported

2008-06-19 - xvidenc 7.8.9
	* Added support for inclusion of external subtitles when encoding
	  video files. The external subtitle will be hard coded into the
	  encode
	* Updated the man page

2008-06-16 - xvidenc 7.8.8
	* Removed none existant -sv option from the help menu

2008-05-30 - xvidenc 7.8.7
	* Small menu enhancements to the FPS settings
	* Fixed wrong explanation for the temporal denoiser
	* Removed support for the Sonic and SonicLS audio codecs since they
	  are experimental and far from complete for daily use
	* Updated the man page

2008-04-28 - xvidenc 7.8.6
	* Implemented source_fps_func() function to reduce code duplication.
	  This function automatically detects the FPS of the content and is
	  shared between the deinterlace and interlace functions
	* Added support for applying denoising/deblocking on interlaced content.
	  This is done by deinterleaving the content with the il=d filter, applying
	  the denoising/deblocking on the deinterleaved content and interleaving it
	  back with the il=i filter. That way we don't break the interlacing
	* Color enhancements to the -bpp and -bpb options

2008-04-26 - xvidenc 7.8.5
	* Fixed a problem where the detected resolution based on the crop values
	  favored the values of the cropdetect filter instead of the user
	  provided values. Reported by blaz from the Doom9 forum
	* Clarify that the aspect ratio is the one for input sources
	* Renamed resolution variable 'res' to 'vres'
	* Set the field dominance of the frame doubling yadif deinterlacer
	  to auto detection
	* Added support for doing 25 -> 50 fps and 29.970 -> 59.940 fps conversion
	  using simple frame duplication
	* Updated the man page

2008-04-23 - xvidenc 7.8.4
	* Bugfix for the audio menu. AC3 is not supported yet in the MP4 container.
	* Updated the audio_channels_func() function
	* Added support for video bitrate calculation when using 5 channels PCM audio
	* Updated the --help section
	* Set the field dominance of the yadif deinterlacer to auto-detection. If
	  the decoder doesn't export the field order, it defaults to TFF (top field first)
	* Small menu enhancements to the video_interlace_func() function

2008-04-20 - xvidenc 7.8.3
	* Updated the filmdint FPS conversion filter. Added dint_thres=256 to
	  not do any deinterlacing while doing the conversion
	* Small update to the FPS conversion menu
	* Updated the audio codecs menu
	* Removed delay when exiting from user interrupt
	* Updated the README.encoding file
	* Updated the man page

2008-04-15 - xvidenc 7.8.2
	* Replace underscores from DVD title names with spaces
	* Added support for NTSC Double @ 60 fps
	* Fixed the cropping code. NTSC content was problematic

2008-04-08 - xvidenc 7.8.1
	* Integrated the exit command into the rmconf() function
	* Fixed color output in the target file size calculation
	* Updated the cropping code to support the latest SVN version of MEncoder
	* Small clean ups

2008-03-28 - xvidenc 7.8.0
	* Use awk to get the current device when exporting DVD chapters information
	* When encoding specific chapters, append the chapters info at the end of
	  the output file
	* Removed support for MP3 high- and lowpass frequency settings. I'm sure many people
	  don't use these options and accept the defaults
	* Removed support for manual video codec configuration. This reduces the code
	  and makes it less bloated. Only presets are supported now
	* The turbo option is now hard coded into the first pass of a 2-pass encoding mode
	* Threads are now auto-detected based on the number of CPUs/cores. Note that Xvid
	  is single-threaded and it only uses threads for its motion estimation
	* Updated the README.xvidenc file. Added links for neroAacEnc and Vorbis
	* Updated the man page
	
2008-03-23 - xvidenc 7.7.9
	* Removed accurate rounding of the software scaler since it does not
	  work on a lot of systems
	* Be silent when doing FPS conversion
	* Updated the README.xvidenc file

2008-03-19 - xvidenc 7.7.8
	* Removed niceness from the muxing commands
	* Added -nocache mplayer option to the AAC+/vorbis muxing/exporting code
	* Clean ups to the batch exporting code
	* Replaced an 'if' conditional with a 'case' one in the AAC+/Vorbis batch
	  exporting code
	* Use -vf rectangle=<crop_values> when previewing the crop values. Will
	  give us a nice outline of the crop values

2008-03-13 - xvidenc 7.7.7
	* Added support for CBR AAC+ audio
	* Made the CBR part of the audio codecs to be menu driven
	* Fixed a bug where the FPS conversion menu and the Telecine/IVTC don't
	  show up due to missing interlacing variable. Bug was introduced during
	  the grouping of the pre/postprocessing video filters
	* Set default QP parameter to 0 for the spp, fspp and uspp
	  postprocessing filters

2008-03-10 - xvidenc 7.7.6
	* Major simplifications to the MP4 muxing code
	* Only extract audio and video if we deal with the AAC+ or Vorbis
	  audio codec
	* Disabled accurate rounding of the software scaler on 64-bit systems
	  since MEncoder has issues with it
	* Disabled the scalable sample rate option of the FAAC menu
	  since it does not work. FAAC doesn't support HE-AAC
	* Added checking for oggenc and neroAacEnc to the -sc option
	* Color optimizations
	* Use named pipes (fifo) to encode to AAC+ or Vorbis audio. This
	  eliminates the audio dumping step and the required disk space
	* Updated the batch code to support named pipes
	* Pre/Postprocessing video filters are now grouped in one question
	* Added autocompletion support. Patch by Nicolas Di Pietro
	* Added a skip option to most of the menus

2008-03-06 - xvidenc 7.7.5
	* Merged the -sv option with -scan
	* Video bitrate calculation: fixed the PCM part. It needs different
	  bitrates for different audio channels. Resampling is not taken into
	  account.
	* Added support for the HE-AAC (aka AAC+) audio codec. This requires
	  neroAacEnc. When encoding to this codec, the AVI will be first encoded
	  with PCM audio. Then both the video and audio will be extracted from
	  the AVI, the audio will be encoded to AAC+ and will be muxed together
	  with the video to the mp4 container. Multichannel AAC+ audio is not
	  supported yet. Only the mp4 container is supported at the moment
	  as mkvmerge does not support RAW Xvid streams
	* Added support for the Vorbis audio codec. The procedures for this
	  codec are the same as those for AAC+. Multichannel audio is supported.
	  As is the case with AAC+, only the mp4 container is supported
	* Updated the batch code to support AAC+ and Vorbis audio
	* Fixed the HW presets. Added -noodml option as OpenDML AVIs can cause
	  problems on some HW players
	* Added support for exporting the MP4 muxing commands to the batch file
	  when using the NOSOUND audio option
	* Updated the signal traps
	* Replaced an 'if' conditional by a 'case' one in the video bitrate
	  calculation code
	* Updated the README.xvidenc file
	* Updated the man page

2008-03-04 - xvidenc 7.7.4
	* Removed options 2, 3, 4 and 5 of the 60p -> 24p FPS conversion menu
	  as these filter chains are not very reliable and often fail at doing
	  the conversion. Also removed support for the decimate filter so now
	  only framestep and filmdint are supported which give the best results
	* Refined the filmdint filter parameters for 60p -> 24p FPS conversion
	  and set default filter to filmdint=fast=0/io=60:24
	* Remove config directory on non-zero exit status
	* Updated the man page

2008-03-02 - xvidenc 7.7.3
	* Added support for 30p -> 24p FPS conversion
	* Added support for the decimate filter when doing 60p -> 24p
	  FPS conversion
	* Small improvements to the crop preview code. Should come after
	  the user has entered the crop values
	* Video file encodings: Use unique default output file based on
	  process ID
	* Fixed a small bug where xvidenc assumes that the $HOME/.xvidenc
	  directory already exists but that might not be the case, so it
	  will fail at making an unique temporary directory. Reported by
	  Nathaniel Gray
	* Added support for setting the quantization parameter for the
	  spp, uspp and fspp postprocessing filters

2008-03-01 - xvidenc 7.7.2
	* Notify the user that the frame rate will change when using the
	  inverse telecine/telecine filters
	* Improvements to the batch exporting code
	* Added support for doing 60p -> 30p, 60p -> 24p and 50p -> 25p
	  FPS conversion. Useful for HD content that runs at 59.94 or 50 fps
	  This option is mutually exclusive with interlacing and frame doubling
	  deinterlacing filters
	* Removed the '-p help' option as it is not very useful. --help
	  displays everything one needs to know
	* Fixed a bug in the batch exporting code of the MP4 part where
	  muxing fails when using the MP3 audio codec due to undefined
	  input file
	* Disabled colorspace conversion when interlacing, telecining or
	  when doing FPS conversion as some (most?) filters don't like it
	* Made the script to use unique temporary directories to store
	  the config/parsing files. That way, one can run multiple
	  instances of xvidenc at the same time without interference
	* Modified the batch exporting code to work with unique
	  directories
	* Colorized automatic actions/info/menus
	* Updated the man page

2008-02-26 - xvidenc 7.7.1
	* Added 4 stand-alone HW compatible presets (hwsdpal, hwsdntsc,
	  hwhdpal and hwhdntsc)
	* Clean ups in the MP4 muxing code
	* Bugfix: enabled MP4 and OGM muxing when using the default
	  audio codec (mp3). The bug was introduced while converting the
	  muxing code to base its decision on variable $audiocodec
	  instead of $audcodec which is no longer available
	* Updated the man page

2008-02-25 - xvidenc 7.7.0
	* Removed the 'user defined' option from the deint_custom_fps_func()
	  function as it can confuse users who don't really know what to
	  enter there
	* Added support for different audio resampling modes
	* Added support for the 'lavcresample' audio resample filter
	* Made the audio_resample_func() function to be menu driven
	* Converted the MKV/MP4/OGM code to base its decision on
	  variable $audiocodec instead of variable $audcodec. Makes
	  the code less complicated
	* Added support for calculating the video bitrate when encoding with
	  the NOSOUND audio option
	* Added support for calculating the video bitrate when encoding with
	  the PCM audio codec
	* Made the code for the bicubic software scaler parameters to
	  be menu driven
	* Enabled AAC audio support for the Matroska container. Please
	  upgrade your mkvtoolnix to the latest SVN version!
	* Added support for automatic detection of the video aspect
	* Don't continue if MEncoder exits with a non-zero status
	* Small improvements to the DVD titles scanning code
	* Small improvements to the check_diskspace_func() function
	* Updated the -sc option
	* Variable renamings

2007-02-20 - xvidenc 7.6.9
	* Fixed a bug in the deint_custom_fps_func() function. Variable
	  deintfsp for NTSC @ 59.94 fps should be deintfps
	* Fixed a bug in option 8 of the $dfilter variable which was
	  using a invalid underscore. Should be -field-dominance 1
	  instead of -field_dominance 1
	* Clean ups of old commented out code
	* Reordered the deinterlacing menu. Separated the normal deinterlacers
	  from the frame doubling ones.
	* Small improvements to the audio_channels_func() function
	* Updated the README.xvidenc file

2007-02-18 - xvidenc 7.6.8
	* Updated the DVD chapters code to support the latest SVN version
	  of MEncoder
	* Small improvements to the cropping code
	* Fall back to 'dd' for ISO dumps if 'pv' is not available on
	  the user's system
	* Set default noise pattern to be Luma + temporal instead of
	  Luma & Chroma + temporal
	* Added support for the lossless format of the Sonic audio codec
	* Rplaced a few 'if' conditionals with 'case' conditionals
	* Bugifx: the ivtc/telecine process should check for the $deintfilter
	  variable instead of the $deintfps one. ivtc/telecine is mutually
	  exclusive with deinterlacing
	* Improvements to the MP4 muxing part when exporting the options to
	  the batch file. From now on, the FPS needed for MP4Box is directly
	  taken from the AVI file. This approach is much more reliable and the
	  user no longer needs to edit the FPS value for MP4Box when exporting
	  the options of NTSC content.
	* Moved all of the audio codecs code into functions. Easier to
	  maintain
	* Added supprot for the Tfields deinterlacer @ original frame speed
	  and Tfields + fast/medium/slow/slowest Mcdeint @ original frame speed

2008-02-14 - xvidenc 7.6.7
	* Export testing condition to the batch file for the output of MEncoder
	  and for the output directory as well
	* Changed FPS naming for Silent Speed to Silent Film
	* Added support for automatic brightness/contrast control
	* Bugfix: Only ask for deletion of the AVI file if the user has chosen
	  to remux it to one of the supported containers
	* Removed duplicate $quiet variable in the video_deinterlace_func()
	  function when deinterlacing with a frame doubler
	* Modified the -iso option to use 'pv' for DVD ISO dumping instead of
	  'dd'. 'pv' provides us with a nice progress bar which is useful as
	  it takes a long time to dump a DVD, so the user can follow the
	  progress. 'dd' provides no such thing.
	* Updated the -iso option to support dual-layer DVDs (~8.54 GB)
	* Added support for setting the subtitle alignment
	* Added support for setting the subtitle Gaussian variance strength
	  when hardcoding subtitles into the movie
	* Use $IDXFILE variable for the MP4SUB and MKVSUB variables
	* Various small code improvements
	* Updated the man page

2008-02-12 - xvidenc 7.6.6
	* Replaced some more 'sed' commands with 'awk'
	* Made the deint_custom_fps_func() function to be menu driven
	* Implemented -iso option for dumping the DVD content with 'dd'
	  to an ISO image to disk
	* Variable renamings and small clean ups
	* Added 'sleep 3' delay for the exported options
	* Use detected FPS value in the bits_per_pixel_func() and
	  bits_per_block_func() functions instead of falling back to 25
	  if the user doesn't set/force the FPS value
	* Changed the -o option to -b to better reflect that this option
	  is for batch encoding. Also default output file of the options
	  file will be $HOME/batchfile
	* Updated the FPS values for VFR Anime sources and Silent Speed films
	* Updated the AUTHORS file
	* Updated the man page

2008-02-10 - xvidenc 7.6.5
	* Added support for the OGM container
	* Removed support for file splitting as the code/operation is
	  not very reliable, especially with embedded subs in the MKV/MP4
	  containers. Further, the code to support 4 containers is pretty
	  large and unmanageable
	* Added the -tmp flag to the MP4Box commands to not run out of
	  disk space in case of large files. Suggested by Henk Schoneveld
	* Added the -field-dominance flag to the MEncoder parameters for
	  deinterlacers that support setting the field order
	* Added support for fast/medium/slow/slowest mcdeint combined
	  with the Yadif and Tfields deinterlacers
	* Changed variable $df to $dfilter
	* Replaced a few 'sed' commands with 'awk'
	* Small clean ups

2008-02-08 - xvidenc 7.6.4
	* Renamed variable $audio_codec to $audcodec
	* Added support for exporting the fps value when exporting
	  the MP4Box commands to the options file. It's still not 100%
	  reliable 'cause of the NTSC crapware!
	* Disabled exporting the MP4 muxing commands to the options file
	  when using NOSOUND as the code base does not allow it
	* Simplified the MP4 muxing code a bit. This reduces a bit of
	  code duplication
	* Notify the user that the frame rate will change if he is
	  interlacing progressive content
	* Remove displaying "Checking for lsdvd..." every time the
	  user chooses for DVD encoding
	* Don't enable interlace-aware software scaler when telecining
	  progressive content as the telecine filter comes after the
	  scale filter
	* Cosmetics: forgot a few 'echo' statements in the
	  video_deblock_func() function
	* Improvements to the video_deinterlace_func() and video_interlace_func()
	  functions
	* Removed support for optimization of the MP4 file layout as
	  the 'mpeg4ip' tools are no longer actively developed
	* Some improvements to the audio scanning menu
	* Some clean ups

2008-02-06 - xvidenc 7.6.3
	* Added support for setting/forcing the video aspect ratio
	* Added support for exporting the Matroska muxing commands
	  into the options file
	* Added support for adding noise to the encoding with the
	  'noise' video filter
	* Added support for exporting the MP4 muxing commands to the
	  options file. Note that FPS detection is not exported so
	  you'll have to edit the options file and set the correct
	  FPS value for MP4Box if you don't want to have any A/V
	  sync problems!
	* Added support for previewing the crop values for 15 seconds
	* Updated the man page

2008-02-04 - xvidenc 7.6.2
	* Made the custom FPS code for deinterlacing a function. This
	  reduces code duplication
	* Added support for deblocking-only of DVDs/video files with
	  the ha/va filters
	* Reordered the input frame rate selection menu of the
	  video_interlace_func() function
	* Added support for the Sonic audio codec
	* Changed contact email address due to some issues with my current
	  ISP provider
	* Updated the man page
	* Comments clean ups

2008-01-31 - xvidenc 7.6.1.1
	* Fixed a potential bug where MP4Box/mkvmerge can fail to parse
	  the filename of the subtitle during importing

2008-01-24 - xvidenc 7.6.1
	* Bugfix: added a condition to check if the 'tfields' filter is used,
	  and if so, to place it after the crop filter. The reason for this is
	  that 'tfields' alters the resolution and if this filter comes before
	  the crop filter, the crop values will no longer be correct so
	  MEncoder will error out with a "crop area outside of the original"
	  message.
	* Implemented menu driven -scan option for DVD information. With
	  -scan one can display extensive information about a DVD or
	  can export the information to a file on disk in text, perl,
	  python, ruby or xml format.
	* Added support for auto-detection of the FPS value and setting it
	  to double when deinterlacing with a frame doubling deinterlacer
	* Added a note that NTSC FPS detection is not 100% reliable. This
	  comes from the fact that xvidenc only detects the FPS flag set
	  in the video content but many NTSC DVDs "lie" about their true
	  FPS value
	* Enabled hq_ac for the NLQ profile
	* Updated the deinterlacing menu
	* Added the -nocache option to MPlayer for faster execution
	* Updated the signal traps
	* Updated the man page

2008-01-21 - xvidenc 7.6.0
	* Made the audio codec selection to be menu driven.
	* Made scanning for multiple audio streams in video files
	  to be optional.
	* Added back support for the old ha/va/dr postprocessing
	  deblock/dering filters.
	* Added support for interleaving even lines from even frames
	  with odd lines from odd frames with the 'tinterlace' filter
	  in mode 4
	* Added support for the frame doubling 'tfields' temporal fields
	  filter and 'tfields' + 'mcdeint'
	* Enabled chrominance filtering for the temporal 'tn' denoiser
	* Some small code improvements to the 'sed' parsing.
	* Cleanups in the quality presets. Made the 2-pass $turbo
	  variable to be global instead of per preset based. This
	  reduces code duplication.
	* Fixed a small bug when using user defined frame rate during
	  the frame doubling deinterlacing process. Integer input values
	  were not multiplied by 2. Also added a note that the provided
	  FPS will be multiplied by 2
	
2008-01-14 - xvidenc 7.5.9
	* Bugfix: wrong default output name used for video files.
	  Should be Xvid.avi and not H264.avi. This bug was
	  introduced due to code sharing with the h264enc script
	* Changed default (un)sharp mask/gaussian blur matrix to
	  luma & chroma 7x7 as it provides a better balance than
	  the 3x3 matrix.
	* Added a tip for the 'denoise3d' and 'hqdn3d' filters that
	  one can do only Spatial, only Temporal or Spatial and
	  Temporal filtering with these filters. Spatial-only
	  filtering is achieved by setting the last two values
	  to 0, Temporal-only filtering is achieved by setting
	  the first two values to 0. Spatial and Temporal filtering
	  is achieved by using all values.
	* Added support for adjusting the filter strength of the 'fspp'
	  postprocessing filter.
	* Added support for doubling the frame rate of the content
	  during the deinterlacing process with the 'yadif' and 'mcdeint'
	  filters.
	* Added support for interlacing progressive 100 fps PAL and
	  progressive 119.88 fps NTSC content.
	* Updated the FPS code. Added support for PAL/SECAM/NTSC Quad
	  (100 and 119.880 fps) and reordered the menu. Also disabled
	  frame rate selection when interlacing progressive content or
	  deinterlacing interlaced content with a deinterlace filter
	  which doubles the output frame rate. Both actions are mutually
	  exclusive with setting the output frame rate as the chosen
	  interlace/deinterlace process will take care of the fps.
	* Placed the interlace filters 'tinterlace' and 'phase' after
	  the harddup filter so that duplicate frames will never get
	  interlaced.
	* Renamed variables $pullup, $telecine, $cropping, $colorspace,
	  $ivtc_filter, $int_fps and $int_ofps to $ivtcfilter, $telecinefilter,
	  $cropfilter, $colorspacefilter, $ivtcfilt, $intfps and $intofps
	
	
2008-01-11 - xvidenc 7.5.8
	* Modifications to the output filename code. As of now, for
	  DVD encodings, xvidenc will scan the DVD for its title
	  and will set the default output filename according to
	  the title found on the DVD disc. If the DVD title is not
	  found, xvidenc defaults to the old method.
	* Bugfix: don't ask for colorspace conversion if the user
	  doesn't scale the content. Colorspace conversion only works
	  with the scale filter.
	* Bugfix: revert using local variables in the bits_per_pixel_func()
	  and bits_per_block_func() functions. Local variables don't
	  work when a function is called inside another one.
	* Bugfix: wrong variable used in the video_deblock_func()
	  function. Should be 'deblockfilter' instead of 'deblock'
	* Bugfix: wrong variable used in the video_denoise_func()
	  function. Should be 'denoisefilter' instead of 'denoise'
	* Added support for the 'unsharp' (un)sharp mask/gaussian
	  blur filter.
	* Some cleanups in the audio_resample_func() function
	* Added support for selecting the frame dropping mode of
	  the inverse telecine 'detc' filter.
	* Improvements to the DVD subtitle menu

2008-01-08 - xvidenc 7.5.7
	* Added support for yadif=2 deinterlacing mode which
	  skips spatial interlacing checking
	* Added support for interlacing of progressive content with
	  the 'tinterlace' filter combined with 'phase'. Note
	  that only 50 fps progressive PAL and 59.94 fps
	  progressive NTSC content is supported! When interlacing
	  such content, the frame rate will be dropped to 25 fps for
	  PAL and 29.97 fps for NTSC
	* Colorspace conversion does not work with deinterlacing
	  and interlacing filters so disable it if the user uses
	  some of these filters.
	* Use local variables inside the bits_per_pixel_func() and
	  bits_per_block_func() functions
	* Changed variables $scaler, $iss, $ss_parameters and
	  $accurate_vertical to $sws, $isws, $swsparam and $swsaccurate
	* Changed the order of the video filters. The softskip
	  filter should come after filters which need to see
	  duplicate or skipped frames in order to operate correctly.
	  This includes any filter that does temporal processing,
	  like the temporal denoiser, hqdn3d/denoise3d/ow and all
	  the inverse telecine filters. The softskip filter should
	  also come before scaling so that the scale filter will be
	  skipped if a frame is going to be dropped. Deinterlacing
	  or pullup should be done before cropping. The harddup filter
	  should be placed before the telecine one so that duplicate
	  frames will never get telecined, we don't want that. The
	  interlace filters should be placed after the softskip and
	  scale filters and before the harddup filter.
	* Improvements to the DVD chapters exporting code. The user
	  no longer needs to provide a path/filename to export the
	  chapters to disk. As of now, the path and filename are
	  automatically detected and set based on the provided output
	  file name and path for the encoding
	* Improved the chapters loading code for the MP4/MKV containers
	* Some modifications to the 'sed' parsing
	* Improved the MEncoder options exporting code
	* Updated the man page
	
2008-01-05 - xvidenc 7.5.6
	* Added support for the Motion Compensating Deinterlacer
	  (mcdeint) combined with Yadif
	* Renamed variable $interlaced to $interlacing
	* Disabled GMC in the UHQ preset and QPEL in the EHQ
	  preset
	* Added support for setting the audio volume gain
	  with the 'volume' filter
	* Disabled automatic scanning of input video files
	  to see if they hold up more than one video stream.
	  Some MPEG-TS files can cause troubles for xvidenc
	  which will enter into an endless loop when scanning
	  for multiple video streams
	* Updated the man page

2008-01-02 - xvidenc 7.5.5
	* Placed all video filters into one variable called
	  'videofilters'. Did the same for the audio filters
	  which are now carried by the single variable 'audiofilters'
	  This reduces filters maintenance cost for each pass
	* Added support for the new Overcomplete Wavelet Denoiser
	* Added support for the temporal chroma strength parameter
	  in the hqdn3d denoise filter
	* Added support for the older 3D denoise filter (denoise3d)
	* Added support for the Temporal Denoise filter (tn)
	* Added support for colorspace conversion during scaling
	* merged the $srate and $resample variables
	* Bugfix in the audio_volnorm_func() function
	* Small improvements to the fps detection code
	* Some cleanups/cosmetic changes
	
2007-12-22 - xvidenc 7.5.4
	* Changed contact email address
	* Added support for the spp, uspp, fspp and pp7
	  postprocessing deblock filters. This removes support
	  for the old 'pp' postprocessing filters and replaces
	  them with the new and more efficient ones. It also
	  fixes the nasty hack in the video_deinterlace_func()
	  function and removes code duplication for DVD and video
	  files in that function.
	* Removed variables $yadif and $kerndeint as they are
	  no longer required because of the changes above. All
	  deinterlacing filters are now carried by the $deintfilter
	  variable. Deblock/dering filters are carried by the
	  $deblock variable.
	* Added support for deringing/deblocking of DVDs. Although
	  not really useful for most DVDs, in some rare cases it
	  can be handy, like for custom made DVDs with a very
	  low bitrate and blocking artifacts.
	* Added support for denoising of input video files.
	* Video functions reordering.
	* Updated the README.xvidenc file.
	* Updated the man page.

2007-12-15 - xvidenc 7.5.3
	* Disabled asking for optimization of the MP4 file
	  layout if the user has chosen to embed subtitles
	  in the container. If optimization is ran on a
	  MP4 file with embedded subtitles, the subtitles
	  will all be black and unreadable
	* Bugfix: moved the MP4 output variable before the
	  optimization function as it is required by the
	  function but won't be detected if it comes after
	* Added a 'nice' value of 10 when remuxing to the
	  MKV and the MP4 containers
	* Merged the vobsubout and the vobsuboutindex variables
	
2007-12-14 - xvidenc 7.5.2
	* User request: add support for subtitles for input
	  video files. Useful if user wants to get the subtitles
	  from a VOB file on disk
	* Added support for importing ripped VobSub subtitles
	  into the Matroska and the MP4 container
	* Improved the chapters loading code. Now spaces in
	  file names are supported when importing a chapters file
	* Added -sc switch for sanity check. This will check for
	  the programs which are required for the correct operation
	  of the script and it will print the status in a list.
	  It will also display which audio codecs are supported
	  by MEncoder.
	* Some cleanups
	* Updated the man page
	* Updated the AUTHORS file
	
2007-12-01 - xvidenc 7.5.1
	* Added support for importing chapters information from
	  a file when remuxing into the MP4 container
	* Fixed default name of the output file when exporting
	  chapters info. Was 'h264chapters' due to code sharing
	  with the h264enc script. Sorry for the inconvenience
	* Added destination directory checking when exporting
	  DVD chapters to a file
	
2007-11-30 - xvidenc 7.5.0
	* Added support for exporting all chapters information
	  from a DVD to a file. This requires 'dvdxchap' from
	  'ogmtools'
	* Added support for importing chapters information
	  into the Matroska container when remuxing
	
2007-11-13 - xvidenc 7.4.9
	* Enabled MP2 audio for the MP4 container
	* DVD chapter improvements. Now each chapter is displayed
	  in a menu list together with its start position. This
	  requires MPlayer 1.0rc2 so upgrade to use this feature
	* Increased the crop scanning from 15 to 30 frames for
	  a better detection of the crop values
	* When exporting the MEncoder parameters to a file, if the
	  file already exists, do not overwrite it but just append
	  the new parameters to it
	* Cleanups and typo fixes
	
2007-10-05 - xvidenc 7.4.8
	* Added support for loading custom quantization matrices
	  when using quality presets (user request)
	
2007-08-31 - xvidenc 7.4.7
	* Disabled alias expansions in the shell, just in case it
	  might interfere with aliases in the .bashrc file
	* Added support for the FLAC audio codec (user request)
	* Changed the way the -o option operates (user request)
	* Updated the man page
	
2007-08-15 - xvidenc 7.4.6
	* Quality presets: enabled turbo mode for first pass in
	  2-pass encoding for all quality presets with the exception
	  of the NLQ preset
	* Removed the audio surround filter in AC3 since it's
	  not really useful and is only used on video files
	  with matrix encoded audio
	* Rewrote the audio_volnorm_func() function because of
	  the changes made to the audio filter chain
	* Added condition to check if any audio filters are used
	  so we can add the -af option to the MEncoder parameters
	* Added audio_channels_func() function for AC3, AAC, PCM
	  and COPY
	* Some small cleanups
	* Faster code to detect FPS values
	* FPS: now both fractions (for Progressive NTSC/NTSC) and integer
	  for (PAL/SECAM) are supported
	* Changed Megabyte to Mebibyte in video bitrate calculation
	
2007-08-08 - xvidenc 7.4.5
	* Added the harddup filter at the end of the filter chain
	  to further eliminate possible A/V sync problems when
	  muxing to the MKV and/or MP4 containers
	* Disabled the check_video_filters_func() function as it is
	  made obsolete by the harddup filter since this filter will
	  always be appended to the filter chain and the -vf option
	  will always be required even if no other filters are used
	* Added support for channel selection when using audio stream copy
	* Added support for encoding from a different DVD angle
	* Now video bitrate calculation for a target file size works with
	  audio stream copy
	* Disabled asking for telecine/inverse telecine if content is PAL/SECAM
	* Updated the man page
	
2007-08-05 - xvidenc 7.4.4
	* Squashed a bug in the fps condition checking code
	* Fixed a potential problem in the inverse telecine/pullup code
	  where A/V could get out of sync due to missing -fps 30000/1001
	  value
	* Enabled audio encoding for first pass in 2-pass mode.
	  After extensive testings, without audio encoding for the
	  first pass, MEncoder can break A/V sync, especially when
	  doing a inverse telecine/pullup process where frame dropping
	  and duplicate frames are involved.
	* Squashed a bug in the subtitle code which hardcoded the
	  subtitles into the movie even if user has selected to
	  dump them to files on disk
	* Added support for the DETC inverse telecine filter
	* Added warning notification if resolution width and/or
	  height is not divisible by 16 as compression will suffer
	* Moved the call to the check_video_filters_func() function
	  outside of the scaling section
	* Only ask for telecine/inverse telecine filters if user doesn't use
	  interlaced encoding as it is mutual exclusive with it
	
2007-07-30 - xvidenc 7.4.3
	* Added support for the Yadif deinterlacing filter
	* Added support for Donald Graft's adaptive kernel deinterlacing filter
	* Added support for Pulldown Reversal/Inverse Telecine. Please
	  read the FAQ at http://xvidenc.sourceforge.net on how and
	  when to use these filters! Currently 3 filters are supported,
	  the pullup, filmdint and ivtc filters
	* Added support for Hard Telecine/3:2 Pulldown. Again read the
	  FAQ on how and when to use it, if at all!
	* Reverted back to fractions for FPS values. According to
	  MPlayer's doc, integer/float should not be used anymore
	  with MEncoder. This change also updates the bits_per_pixel_func(),
	  bits_per_block_func() and keyframe variable
	* Due to the high versioning, as of this version, xvidenc will
	  continue to use a microversion. When I started writing the script,
	  I didn't think of going public with it so that's why versioning wasn't
	  important...
	* Updated the man page
	
2007-07-27 - xvidenc 7.4.2
	* Changed shell interpreter from /bin/sh to /bin/bash as there were some
	  problems reported by Ubuntu/Debian users. Sorry for the inconvenience
	
2007-07-26 - xvidenc 7.4.1
	* Merged the -bpp and -bpb options
	* Added bitrate calculation to the -bpp option which is based on
	  the bits per pixel value
	* Fixed a bug in the video bitrate calculation for a target file size.
	  If user has chosen to encode a video file which has more than one video
	  stream in it, and if the selected video stream for encoding is not the
	  first one, the calculated bitrate will be wrong as the $vid variable was
	  missing thus mplayer will get the length of the first video stream instead
	  of the stream selected by the user
	
2007-07-25 - xvidenc 7.4
	* Updated the AAC part of the audio resample function. In addition
	  to 48000 and 96000 Hertz, AAC also supports 64000 and 88200 Hertz
	* Some parenthesis changes
	* Added support for optimizing the MP4 file layout with mp4creator.
	  This is not a hard dependency! If mp4creator is missing, this
	  option will be skipped. xvidenc still uses MP4Box for MP4 muxing
	* Changed the output FPS format to integer and float
	* Updated the bits_per_pixel(), bits_per_block() and keyframe to support
	  the new integer/float FPS format
	* Disabled converting the final AVI to MKV if user has chosen to use the
	  AAC audio codec. I've spoken to Moritz Bunkus, the author of mkvmerge,
	  and he confirmed that at the moment he hasn't found a way yet to extract
	  the AAC headers from AVIs so for the time being, it is not possible to
	  convert AVIs with AAC audio to the Matroska container.
	* Added support for input video files which contain more than one video stream.
	  Note that cropping won't be auto-detected on any other stream except on the
	  first one (stream 0) as MPlayer seems to have issues with the -sstep option
	  and I still haven't got an answer from the developers on how to fix it
	* Converted the get_filesize_func() function from integer to float for more
	  accurate file size reportings
	* Updated the AUTHORS file
	* Updated the man page
	
2007-07-20 - xvidenc 7.3
	* Implemented user_interrupt_func() function for when the
	  user hits CTRL+C or CTRL+ALT+C
	* Added support for displaying the DVD disc title
	* Some improvements to the config directory code
	* Changed the default ABR AAC bitrate from 140 to 110 since
	  AAC is much more efficient
	* Implemented -bpp option for calculating the Bits Per Pixel values
	  Many thanks to Aymeric for the help on this one
	* Implemented -bpb option for calculating the Bits Per Block values
	* Updated the man page
	
2007-07-13 - xvidenc 7.2.1
	* Fixed a bug in the bits_per_block_func() function. The formula was
	  wrong which made this function display incorrect bpb values
	
2007-07-12 - xvidenc 7.2
	* Updated the MKV and MP4 container conversion code. Now user
	  can convert the AVI to both formats, not just only one of them
	* Added bits_per_block_func() function for calculating and displaying
	  how many bits are used for each 16x16 macroblock
	* Complete rewrite of the file splitting code. Removed the 702 MB
	  requirement before the split option kicks in. The new splitting
	  code is much more flexible now despite of its large size. Now if
	  user has chosen to convert the AVI to MKV or to MP4 or to both
	  formats, he can choose which formats to split
	* Updated the destination output checking code. Now this code respects
	  user permissions and warns the user and exits if creation of the
	  destination directory has failed
	* Added support for dumping subtitles to a file on disk
	* Added support for AAC object type complexity profiles
	* Updated the AUTHORS file
	* Updated the README.xvidenc file
	
2007-07-05 - xvidenc 7.1
	* Web site launched for xvidenc at http://xvidenc.sourceforge.net
	* Added support for converting AVIs to the MP4 format. This
	  only works with MP3/AAC audio or NOSOUND as MP4Box doesn't
	  support the other audio codecs
	* Added audio_codec_in_video_file_func() function to check
	  for MP3/AAC audio codecs in input video files so that user
	  can convert the final AVI to MP4 format if he wants to. This
	  function is only used when user decides to copy the audio
	  of the original input video file (no re-encoding)
	* Added bits_per_pixel_func() function to calculate and display
	  the BPP value based on video bitrate, width, height and FPS
	* Updated the disk space checking code to also check the
	  available size of the xvidenc config directory
	* Updated the file splitting code to support the MP4 format
	* Updated the man page
	
2007-07-04 - xvidenc 7.0
	* Added Near Lossless Quality (NLQ) preset. This preset is
	  supported only in fixed-quant mode!
	* Updated the man page
	
2007-07-01 - xvidenc 6.9
	* Added support for 96 kHz sampling for AAC audio to the
	  audio_resample_func() function
	* Added support for Multi-channel AAC audio encoding. Note that
	  this can introduce bitrate variations into the audio stream so
	  that video bitrate calculation for a target file size won't be
	  very accurate!
	* Added support for both MPEG formats supported by AAC audio
	  (MPEG2 and MPEG4)
	* Merged code of the WMAv1 and WMAv2 audio codecs into one
	* Updated the man page
	
2007-06-28 - xvidenc 6.8
	* Added support for the WMAv1 and WMAv2 audio codecs. Note that
	  this requires latest version of SVN MPlayer or MPlayer 1.0rc2
	  as previous MPlayer versions do not support encoding to the
	  above mentioned audio codecs.
	* Updated the man page and README.xvidenc file
	
2007-05-31 - xvidenc 6.7
	* Implemented '-p help' option for quick help on quality presets usage.
	  Now user can use 'xvidenc -p help' to get a quick help
	  on presets and how to use them.
	* Added one more quality preset (Normal Quality (NQ))
	* Removed obsolete checking for resolution format since
	  the $scale variable translates it to the correct
	  MEncoder format no matter if user uses a : or x for
	  the resolution
	* Added support for checking disk space left over in the destination output
	  directory. If < 4 GB then user will be warned that he's running out of
	  disk space in that location.
	* Decreased default difference threshold deblocking value for
	  video files to 70 as a too high value can smear details too much
	* Removed an extra "layer" of piping in variables. There's
	  no need to "cat" a file and then pipe the output to "grep"
	  to get a specific value from that file as "grep" can do
	  it by itself. No need to do $(cat /path/to/file/file_name | grep "value")
	  instead use $(grep "value" /path/to/file/file_name)
	* Small cosmetic changes
	* Updated the man page and fixed recommended quality presets. Recommended
	  presets should be 'vhq', 'ehq' and 'uhq' instead of 'mq' and 'hq'
	
2007-05-25 - xvidenc 6.6
	* Added options "rc_reaction_delay_factor" and "rc_averaging_period"
	  to the quality presets
	* Added informant display_quality_preset_func() function
	* Improved resolution code. Now if user has chosen to
	  crop the input source, default resolution value will
	  fall back to the visible resolution area after cropping,
	  (eg, the left over area of the resolution after removing
	  the black bands with the crop filter). If no cropping
	  selected, default resolution value will be the original
	  one from the input source
	* Added support for encoder priority settings ("nice" values)
	* Fixed a small bug in the cropping function that will fail if
	  user wants to crop a video file which contains spaces in its
	  file name
	* Updated the man page
	
2007-05-23 - xvidenc 6.5
	* Implemented 9 different video quality presets
	* Updated the man page
	
2007-05-22 - xvidenc 6.4
	* Added support for displaying available devices
	  from /proc/sys/dev/cdrom/info
	* Added support for video file cropping
	* Updated the audio resample function
	
2007-05-14 - xvidenc 6.3
	* Improvement in the DVD unlocking code
	* Improvement in chapter and subtitle scanning code
	* Improvement in DVD audio channel scanning code
	
2007-05-08 - xvidenc 6.2
	* Added support for audio channel selection in video files
	* Decreased internal scanning time point for FPS detection
	* Updated the man page
	
2007-04-20 - xvidenc 6.1
	* Fixes to the cropping and video bitrate calc code to support SVN MPlayer
	* Only check for lsdvd if user wants to encode a DVD
	* Added support for AC3 Dynamic Range Compression
	* Moved the denoise code before the cropping code
	* Moved check_video_filters_func()
	* More cleanups
	* Updated the man page

2007-04-03 - xvidenc 6.0
	* Rewrote DVD cropping code (more precise now)
	* Removed '-q' option of mkvmerge for more verbose output
	* Small cleanups
	
2007-03-20 - xvidenc 5.9
	* Added basic support for muxing the final AVI file into
	  Matroska container (requires mkvmerge)
	* Modified the splitting code to support the Matroska container
	* Updated the man page
	
2007-03-18 - xvidenc 5.8
	* Further improvements to the options saving code
	* Fixed a bug in the video bitrate calculation (missing $device variable)
	* Small improvements to the DVD title displaying code
	* Moved passlog files to $CONFIGDIR
	
2007-03-13 - xvidenc 5.7
	* Improvements to the options exporting code
	* Fixed FPS detection for video files
	* Implemented automatic video bitrate calculation based on
	  target size, video length and chosen audio bitrate
	* Updated the man page
	
2007-03-11 - xvidenc 5.6
	* Added support for displaying all DVD titles (user request)
	* Added support for inspecting MEncoder options before encoding (user request)
	* Added support for exporting all MEncoder options to a file
	* Added support for loading script generated options from a file
	  for debugging purposes
	* Temporary files go to $HOME/.xvidenc now instead of /tmp
	* Updated the man page
	
2007-03-09 - xvidenc 5.5
	* Improvements to the threading code
	* Added count function before encoding
	* Compound command changes
	
2007-03-02 - xvidenc 5.4
	* Added support for thread encoding (useful for SMP/Multicore CPUs)
	* Target directory checking and creation
	* Operand changes
	* Updated the README.matrices file
	
2007-02-11 - xvidenc 5.3
	* Improvements for DVD device or video file checkings
	* Improvements to the Intra/Inter matrix code
	* Added MEncoder flags to the options for more clarity
	* Organized the package
	* Updated the README.matrices file
	* Updated the install script
	
2007-02-04 - xvidenc 5.2
	* Added support for auto-detecting frame rate value
	* Added support for bypassing audio encoding
	* Improved resolution detection
	* Included 2 different Intra and Inter Quantization Matrix files into the package
	* Added README.matrices file
	* Updated the install script
	* Updated the man page
	
2007-02-02 - xvidenc 5.1
	* Improvements to the resolution detection code
	* Fixed a small bug where script leaves resolution temp file after getting the values
	
2007-01-31 - xvidenc 5.0
	* Added support for auto detecting original source resolution
	* Added support for bypassing scaling if user decides to use original resolution
	* Improvements in the audio codec checking code (placed it into a function)
	* Small improvements to the high-quality denoise filter code
	* Small improvements to the default encoding values of the script
	* Updated the man page
	
2007-01-30 - xvidenc 4.9
	* Added support for displaying all available DVD audio channels
	* Added support for chapter scanning for the chosen DVD title
	* More improvements to the DVD subtitle, title scanning and cropping detection
	* Temporary files go to /tmp now instead of user's home directory
	* Updated the man page
	* Updated the README.xvidenc file
	
2007-01-28 - xvidenc 4.8
	* Improved the DVD title scanning code (if DVD is locked, 'lsdvd' will fail to
	  read it so mplayer must unlock the DVD before running 'lsdvd')
	* Improved the subtitle code
	* Added support for auto-detecting DVD cropping values
	
2007-01-27 - xvidenc 4.7
	* Added support for auto-selecting the longest DVD title using 'lsdvd'
	* Added support for displaying all available DVD subtitles
	* Updated the README.xvidenc file
	* Updated the man page
	
2007-01-15 - xvidenc 4.6
	* Added checking for input and output file names for video file encodings
	* Improved the output frame rate code
	
2007-01-10 - xvidenc 4.5
	* Fixed a bug where the device variable won't work if empty
	* Fixed a bug in the audio resample function used with the MP3 audio codec
	
2007-01-08 - xvidenc 4.4
	* The default keyframe interval is now auto-calculated from the output frame rate value
	* Improved the output frame rate code
	* Improved MEncoder/XviD checking
	* Fixed a typo in the help section
	* Overall small improvements
	* Updated the man page
	
2007-01-05 - xvidenc 4.3
	* Added support for difference and flatness deblocking thresholds
	* Rewrote the output frame rate code (uses now video standard formats - PAL/SECAM/NTSC/Progressive NTSC)
	* Updated the man page
	
2007-01-04 - xvidenc 4.2
	* Improved the splitting code (only ask user for splitting if file is > 702 MB)
	* Added man page to the package
	* Updated the Copyright dates
	* Updated the README.xvidenc file
	* Updated the install script

2006-12-22 - xvidenc 4.1
	* Moved the audio volume normalizing into a function
	* Little code cleanup
	
2006-12-20 - xvidenc 4.0
	* Changed default output FPS format to float
	* Small overall improvements
	
2006-12-17 - xvidenc 3.9
	* Little code improvements for better error reporting
	
2006-12-14 - xvidenc 3.8
	* Fixed a bug in the MP3 filters config code where it won't work if
	  user has chosen to resample the audio (-af was missing - the bug
	  was introduced while fixing the code of the volnorm and resample filters)
	* Changed default AAC quality to 200
	* Updated the README.xvidenc file
	
2006-12-14 - xvidenc 3.7
	* Fixed the volume normalizing filter (should come before the resample filter)
	* Fixed the surround filter for video files (should come before the resample filter)
	* Rewrote the MP3 code (much smaller and cleaner now)
	* Added support for MP3 channel modes
	* Added support for MP3 lowpass and highpass frequency filtering
	
2006-12-13 - xvidenc 3.6
	* Fixed a bug in the audio resample function where it won't work if
	  user has chosen to use the AAC codec
	* Fixed a bug in the surround settings for files (wrong variable used)
	* Added support for Adaptive PCM audio encoding (ADPCM)
	* Enabled the volume normalizing audio filter to do precise calculations
	* Added support fo accurate rounding of the vertical software scaler
	* Small improvements to the install script
	* Updated the README.xvidenc file
	  
2006-12-12 - xvidenc 3.5
	* Fixed a bug in the B-Frames code where user was asked to specify the
	  B-Frames threshold value/HQ B-Frames even if he chose not to use B-Frames
	  by providing 0
	* Added support for AAC audio encoding (Advanced Audio Coding)
	* Updated the README.xvidenc file
	* Small improvements to the install script
	  
2006-12-12 - xvidenc 3.4
	* Added support for displaying PSNR statistics after encoding
	* Changed default bf_threshold value to 0
	
2006-12-11 - xvidenc 3.3
	* Changed default AC3 bitrate to 192
	* Squashed a bug in the DVD audio channel code
	* Small fixes/improvements all over the place
	* Improvements to the install script
	
2006-12-09 - xvidenc 3.2
	* Added install/uninstall script
	* Little code cleanup
	* Added info/encoding tips to the package (README.encoding)
	* Updated the README.xvidenc file
		
2006-12-08 - xvidenc 3.1
	* Added support for tuning the software scalers
	* Made the deinterlacing code a function (commonly shared between the 2 input sources)
	* Changed default rc_averaging_period value to 50 (should benefit ABR/fixed quant encodes)
	* Updated the README file
	
2007-12-07 - xvidenc 3.0
	* Typo fixes
	* Small improvements to the splitting code
	
2006-12-06 - xvidenc 2.9
	* Added info on maximum resolution allowed by a profile
	* Updated the README file
	
2006-12-06 - xvidenc 2.8
	* Added checking if output file exists
	* Rewrote the file splitting code
	* Various small improvements
	
2006-12-06 - xvidenc 2.7
	* Added support for custom output file names
	* Added initial support for splitting files using avisplit from transcode
	
2006-12-05 - xvidenc 2.6
	* Added support for all subtitle anti-aliasing modes
	* Fixed a typo in the cropping explanation text
	* Changed default FPS value value to 26000/1001 (25 FPS)
	* Moved the profiles option to a different place
	* Rewrote the denoise filter code
	
2006-12-04 - xvidenc 2.5
	* Improved the cropping code
	* Small code optimizations

2006-12-01 - xvidenc 2.4
	* Added support for profiles
	* Added support for output FPS
	* Fixed wrong release date

2006-11-30 - xvidenc 2.3
	* Initial public release